Loading...
Searching...
No Matches
CxxTest::DummyTestDescription Class Reference

`#include <DummyDescriptions.h>`

## Public Member Functions

| DummyTestDescription ()
const char * | file () const
unsigned | line () const
const char * | testName () const
const char * | suiteName () const
bool | setUp ()
void | run ()
bool | tearDown ()
TestDescription * | next ()
const TestDescription * | next () const
Public Member Functions inherited from CxxTest::TestDescription
virtual | ~TestDescription ()
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
void | attach (List &l)
void | detach (List &l)

## Detailed Description

Definition at line 12 of file DummyDescriptions.h.

## Constructor & Destructor Documentation

## DummyTestDescription()

CxxTest::DummyTestDescription::DummyTestDescription | ( |  | ) |

Definition at line 5 of file DummyDescriptions.cpp.

{}

## Member Function Documentation

## file()

const char * CxxTest::DummyTestDescription::file | ( |  | ) | const

virtual

Implements CxxTest::TestDescription.

Definition at line 7 of file DummyDescriptions.cpp.

{ return "<no file>"; }

## line()

unsigned CxxTest::DummyTestDescription::line | ( |  | ) | const

virtual

Implements CxxTest::TestDescription.

Definition at line 8 of file DummyDescriptions.cpp.

{ return 0; }

## next() [1/2]

TestDescription * CxxTest::DummyTestDescription::next | ( |  | ) |

virtual

Implements CxxTest::TestDescription.

Definition at line 15 of file DummyDescriptions.cpp.

{ return 0; }

## next() [2/2]

const TestDescription * CxxTest::DummyTestDescription::next | ( |  | ) | const

virtual

Implements CxxTest::TestDescription.

Definition at line 16 of file DummyDescriptions.cpp.

{ return 0; }

## run()

void CxxTest::DummyTestDescription::run | ( |  | ) |

virtual

Implements CxxTest::TestDescription.

Definition at line 12 of file DummyDescriptions.cpp.

{}

## setUp()

bool CxxTest::DummyTestDescription::setUp | ( |  | ) |

virtual

Implements CxxTest::Link.

Definition at line 11 of file DummyDescriptions.cpp.

{ return true;}

## suiteName()

const char * CxxTest::DummyTestDescription::suiteName | ( |  | ) | const

virtual

Implements CxxTest::TestDescription.

Definition at line 10 of file DummyDescriptions.cpp.

{ return "<no suite>"; }

## tearDown()

bool CxxTest::DummyTestDescription::tearDown | ( |  | ) |

virtual

Implements CxxTest::Link.

Definition at line 13 of file DummyDescriptions.cpp.

{ return true;}

## testName()

const char * CxxTest::DummyTestDescription::testName | ( |  | ) | const

virtual

Implements CxxTest::TestDescription.

Definition at line 9 of file DummyDescriptions.cpp.

{ return "<no test>"; }

The documentation for this class was generated from the following files:

- libpolys/tests/cxxtest/DummyDescriptions.h
- libpolys/tests/cxxtest/DummyDescriptions.cpp